# Products — Add to Wishlist

The LiSA Player dispatches a message when a user clicks the "Add to Wishlist"-CTA on a product card or sticker.

This message is sent by the LiSA Player to the host app / environment.

### Properties

Along with all standard [Product message properties](/developers/guides/player-communication/message-api-reference/products.md#properties), an **Add to Wishlist** message includes the following additional properties:

<table><thead><tr><th width="220" valign="top">Name</th><th width="175" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>intent</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><p>The <code>intent</code> property specifies the action to be performed on the product. It can have one of the following values:</p><ul><li><strong><code>add</code></strong> – Indicates that the product should be added to the wishlist.</li><li><strong><code>remove</code></strong> – Indicates that the product should be removed from the wishlist.</li></ul></td></tr><tr><td valign="top"><code>messageType</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>lsc:product:add-to-wishlist</code></td></tr></tbody></table>

#### Legacy Properties

{% hint style="warning" %}
If your integration uses **LiSA Player Version 1**, none of the properties described above will be available.

For **LiSA Player Version 2**, legacy properties can be ignored.
{% endhint %}

<table><thead><tr><th width="197" valign="top">Name</th><th width="190" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>action</code></td><td valign="top"><pre><code>String
</code></pre><p>Required.</p></td><td valign="top"><code>like.grant</code> or <code>like.revoke</code><br><br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> Please use <code>messageType</code> instead.</td></tr><tr><td valign="top"><code>target</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>carousel.item</code><br><br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> Please use <code>messageType</code> instead.</td></tr></tbody></table>

***

### Type Definition

```typescript
interface ProductAddToWishlistMessage extends Omit<
  ProductMessage,
  'messageType'
> {
  intent: 'add' | 'remove';
  messageType: 'lsc:product:add-to-wishlist';
}
```

***

### Examples

```json
{
  "clockDriftInMs": 0,
  "intent": "add",
  "mediaItemId": "9f333331-45cb-4289-8bcd-9023c1871111",
  "mediaItemType": "live",
  "messageType": "lsc:product:add-to-wishlist",
  "product": {
    "hasStock": true,
    "reference": "f20312c0-40a2-4b20-986c-5b81ceca6eae",
    "storeOverrides": [],
    "mainImage": {
      "width": 1330,
      "sizeInBytes": 349018,
      "hash": "UMPGjZ%N?G?a?Gj?M|j]~ot6IVWCE5ai-oax",
      "url": "https://image.lisa-cdn.net/demo/product/ab016523/324c09bd-8206-46ae-8123-dade826bce81.jpg",
      "height": 1920
    },
    "price": {
      "currencyCode": "EUR",
      "currencySymbol": "€",
      "price": 89.95
    },
    "name": "RAVE UNISEX - Ski goggles - matt black/white",
    "id": "ab016523-250c-49a3-b2b4-86487d9df813",
    "variants": [],
    "title": {
      "*": "RAVE UNISEX - Ski goggles - matt black/white"
    },
    "url": "https://my-storefront.com/rave-unisex-ski-goggles-matt-black-white.html"
  },
  "productBrand": "BLIZ",
  "productCurrency": "EUR",
  "productId": "ab016523-250c-49a3-b2b4-86487d9df813",
  "productPrice": 89.95,
  "productReference": "f20312c0-40a2-4b20-986c-5b81ceca6eae",
  "productTitle": "RAVE UNISEX - Ski goggles - matt black/white",
  "progress": {
    "bufferedTimeInMs": 648036,
    "currentTimeInMs": 628008,
    "durationInMs": 4616000,
    "elapsedTimeInMs": 28784,
    "skipTimeInMs": 600000,
    "isLive": true,
    "visitorDwellTimeInMs": 29135,
    "isPlaying": true
  },
  "sender": "LiSA",

  "action": "like.grant",
  "additional": {
    "action": "https://my-storefront.com/rave-unisex-ski-goggles-matt-black-white.html",
    "showDate": "2025-01-15T18:00:00.000Z",
    "showId": "9f333331-45cb-4289-8bcd-9023c1871111",
    "showName": "Shred the Slopes: The Ultimate Ski Gear Guide 🎿❄️",
    "showState": "live",
    "showTitle": "Shred the Slopes: The Ultimate Ski Gear Guide 🎿❄️",
    "playing": true,
    "time": 620,
    "id": "f20312c0-40a2-4b20-986c-5b81ceca6eae"
  },
  "first": true,
  "item": {
    "data": {
      "origin": {
        "id": "f20312c0-40a2-4b20-986c-5b81ceca6eae"
      }
    },
    "id": "ab016523-250c-49a3-b2b4-86487d9df813",
    "type": "product"
  },
  "target": "carousel.item"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hello-lisa.com/developers/guides/player-communication/message-api-reference/products/products-add-to-wishlist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
